![image](teaser.png)

# 1.4.0

#### 在此版本中，我们迈出了重要的一步，添加了众多期待已久的功能，并大幅提升了稳定性和易用性。主要更新包括：全新设备信息面板、主屏幕上的分组统计自动更新、固件安装和更新过程中的提示信息、表格数据便捷复制，以及基于当前连接快速添加 IP 范围。

## **新功能：**

- **全新设备信息面板：** 在一个方便的位置查看设备状态的所有关键信息。
- **分组统计自动更新：** 在主屏幕实时监控分组性能——统计信息将自动刷新！
- **固件操作提示信息：** 安装和更新固件的过程更加清晰，新增了固件名称和版本的提示。
- **网络分组批量操作：** 可同时管理多个网络分组，例如一键更新多个选中分组的统计信息，提升效率。
- **网络分组合并功能：** 可将现有分组合并为新分组，更高效地管理设备。
- **加快启动访问速度：** 启动应用后自动打开列表中的第一个分组，立即开始工作。
- **便捷数据复制：** 新增浮动按钮，一键即可从表格中复制数据。
- **快速添加 IP 范围：** 基于当前设备连接快速添加 IP 地址范围，简单快捷。
- 支持快捷键导航与统计刷新（在网络分组列表和分组界面中使用 CTRL/CMD+R）。
- **诊断报告保存：** 可保存详细报告，便于排查问题。
- **CLI 命令行改进：** 新增 `switch-pool`、`restore-cv`、`export` 命令，并修复错误提示。
- **新增列：**“固件构建时间”。
- **增强的克隆功能：** 可克隆“最少运行链数”和“忽略芯片温度传感器”的设置。
- 支持 Auradine 固件（数据读取、解锁、重启和重置）。

## 改进

- 全新的欢迎界面动画与外观设计。
- 增加 Linux_arm 构建器，支持 Raspberry Pi。
- 在菜单列表中添加了部分命令的说明。
- 调整了分组上下文菜单和列表的显示位置与样式。
- 设备上下文菜单中仅显示支持的命令。
- 可在网络分组界面控制统计自动更新功能。
- 改进错误提示（灰屏问题）。
- 分组列表的菜单优化。
- 显示网络分组信息。
- 统计信息的自动刷新启动逻辑。
- 确认对话框样式优化。
- 框架与库文件更新。

## 修复

- 从 S21+ 原厂固件获取配置信息的问题。
- Windows 更新后首次启动异常。
- 筛选菜单崩溃问题。
- 状态栏显示异常（Android）。
- 文件保存异常（Android）。
- 打开提示信息时更改分组顺序导致错误的问题。
- 设置保存延迟问题。
- xil 设备固件安装脚本问题。
- 获取设备数据时导致应用卡死的问题。
- 与旧版固件获取设备信息（/info）时的兼容性问题。
- 网络扫描期间界面性能问题。

**别等了 – 立即升级到 1.4.0 版本，体验全新功能！**
感谢您一路以来的支持！


### 1.3.4

- 修复了与旧版固件（获取设备信息 `/info`）的兼容性问题，确保更稳定地适配各种设备。
- 新增对“最低运行链数”和“忽略芯片温度传感器”设置的克隆支持，使设备参数配置更加灵活。
- 现已支持 Antminer L9、S21+、S21+ Hydro 和 S19 Pro Hydro 120，进一步提升对新设备的管理能力。

### 1.3.3

- 添加了矿池账户和冷却模式的过滤器，以及按矿池账户分组。 这将使您能够更灵活地管理设备并分析其性能。
- 现在，由于添加了提示，固件安装和更新将变得更加简单明了。
- 添加了使用文件指定用于执行命令的地址列表的功能，从而简化了大量设备的管理。
- 更改了设备隔离逻辑，并将过滤器生成移动到单独的隔离区，以提高界面性能。
- 在设置克隆对话框中，添加了“最大挖矿启动延迟”字段，并合并了“冷却模式”和“目标温度”（“风扇速度”）设置，以避免冲突。
- 修复了安装过程中固件版本过新的消息。
- 修复了通过上下文菜单更改组后列表修饰符应用失败的问题。
- 在设置对话框中，修复了更改语言时主题本地化的问题。
- 修复了安装固件时对库存矿机的固件检查。
- 修复了打开设备菜单时的伪影。
- 修复了打开没有启用范围的网络组时的伪影。

### 1.3.2

- 我们添加了 **`设备序列号`** 和 **`当前算力`** 列，以便您能够快速获取设备的关键信息，并更高效地分析其性能。
- 我们改进了拖放功能，修复了设备导出列表中选择控制按钮的位置，并新增了应用程序缩放级别的控制方法。
- 我们修复了一些可能影响程序运行的错误，包括扫描时更改分组时设备顺序混乱的问题。此外，我们修复了从矿池编辑对话框更改矿池模板的问题，以及克隆对话框中克隆设置的值错误问题。
- 修复了克隆设置的本地化问题，并纠正了多个拼写错误。
- 我们更新了应用程序的框架和依赖项，以确保 Hashcore Toolkit 运行得更加稳定和高效。
- 修复了上下文菜单冻结问题以及其他一些 UI 细节优化。

### 1.3.1

- 修复了对话框、池编辑问题
- 修复了扫描过程中更改组时设备列表更新的问题

### 1.3.0

- **新“监控”显示模式** 使用热图轻松监控设备状态，快速识别和解决潜在问题。
- **分组子网编辑** 在网络组编辑对话框中编辑子网。
- **设备搜索** 可按 IP 和 MAC 地址以及矿池地址和工作名搜索设备。
- **矿池预设** 保存矿池为模板以便快速应用和切换。
- **克隆功能** 克隆矿池、链路故障时停止挖矿的设置、最大风扇速度和最小预设。
- **模板中心** 在一个中心位置管理和创建矿池及过滤器预设。
- **新视图和命令控制面板** 切换视图、搜索设备并执行批量操作。
- **诊断报告导出** 为 VNISH 固件导出报告，支持单个设备和分组设备。
- **MAC 地址导出** 在导出列表时支持导出设备 MAC 地址。
- **新快捷键** Ctrl/Cmd + F 可搜索设备，Ctrl/Cmd + A 可选择列表中所有项目。
- **Braiins 固件功耗显示** Braiins 固件现在显示功耗信息。
- **网络扫描** 按需启动和停止扫描。
- **重置固件和删除固件功能描述** 在设备菜单中添加了简短描述。
- **改进的操作部分** 问题操作将不再被忽视。
- **简化的固件安装/更新对话框** 固件安装变得更简单。
- **矿机错误描述** 将鼠标悬停在错误状态上可查看其原因。
- **修改的温度导出** 单独导出每块电路板的芯片和电路板温度。
- **监控模式中一致的算力值** 监控模式中的算力值现已标准化。
- **动态更新过滤器列表** 过滤器列表会随着设备列表的变化而更新。
- **优化的网络扫描期间界面更新** 改善网络扫描期间的界面性能。
- **修改的分组统计计算** 分组统计现显示在组切换菜单中。
- **扩展的矿池变量模板** 添加 `{ip}` 模板、模板参数，支持在 `{ip:}` 和 `{mac:}` 模板中编辑分隔符，并为 `{n:}`、`{nn:}` 和 `{nnn:}` 模板添加首值和步长控制。
- **排序和过滤菜单中的字段分组** 对排序和过滤菜单中的字段进行分组以更好地组织。
- **修改的 Bitmain 设备原厂固件版本显示** 更新了 Bitmain 设备原厂固件版本的显示。
- **修改的分组统计布局** 调整了分组字段的宽度。
- **界面改进** 增加了固件版本列的宽度，修改了工具提示的外观，改进了矿池模式下的列表显示。
- **删除固件任务** 现在对安装在 SD 卡上的 VNISH 固件正确禁用了“删除固件”任务。
- **S19j Pro-A 和 S19 Pro-A 的模型检测** 改进了 S19j Pro-A 和 S19 Pro-A 设备在安装固件时的模型检测。
- **风扇速度和链路状态显示** 修复了接收空数据时风扇速度和链路状态的显示。
- **打开第二个网络组后取消扫描** 修复了在打开第二个网络组后扫描无法正确取消的问题。
- **紧凑模式下取消设备选择** 修复了紧凑模式下取消设备选择的问题。
- **重新扫描后更新网络组统计** 修复了重新扫描地址后网络组统计的更新。
- **克隆时所选设置计数器** 修复了克隆时所选设置计数器的问题。
- **矿池编辑对话框中的输入验证** 修复了矿池编辑对话框中的输入验证问题。
- **应用过滤器值错误** 修复了应用过滤器值时的错误。
- 许多其他小错误修复和改进。

### 1.2.0
- 设备分组和统计
- 新版本通知
- 添加了自定义设备显示模式
- 支持 Antminer S21 XP Hydro 和 Antminer S21XP Imm
- 为 Bitmain 固件（Antminer Stock）实现了“查找矿机”命令
- Braiins 和 Luxor 固件的统计
- 显示 DevFee 和问题警告
- 中文本地化
- 显示固件构建名称
- 添加了“关于”部分
- 在 `toolkit_cli` 中引入了新命令（clone 和 reset-autotune）
- 支持通过拖放导入分组
- 优化了网络扫描期间添加设备的操作
- 改进了矿工排序
- 完全重新设计了固件安装
- 用户界面改进：增加了固件版本列宽度，重新设计了工具提示，改进了矿池模式下的列表显示
- 快速访问范围组导出
- 从网络组上下文菜单中导出单个组
- 修复了在启动时由于窗口位置数据丢失导致的 Windows 卡顿问题
- 修复了应用程序数据丢失（恢复文件保存）
- 解决了运行 Rust 编写的处理程序时线程阻塞的问题
- 更改了设备列表中 Rescan 按钮的行为
- 修复了 toolkit_cli 的运行问题
- 修复了“Install Firmware”任务的执行问题
- 修正了 Mac 上控件标签和应用程序描述
- 修复了退出网络组时取消任务（扫描、恢复固件等）的问题
 
### 1.1.0
- 过滤和排序的预设
- 添加了按子网过滤和排序设备的功能
- 添加了固件重置操作
- 支持 Antminer S19j XP 和 S19e XP Hydro
- 设备“离线”显示模式
- 俄语语言本地化
- 多级菜单标题
- 解锁类型的标签
- 响应性：为小屏设备添加了一些应用程序响应性
- 操作窗口：扩展信息、过滤、删除、停止操作
- 设备上下文菜单
- 搜索和监控算法
- 解锁类型的警告和标签
- 设备克隆功能
- 应用程序界面
- 改进了过滤器选择
- 快速访问设备列表导出
- 修复了取消用户密码的问题
- 修复了固件文件名中的空格自动删除问题
- 修复了在 Windows 上导出和导入网络组时的错误
- 停止支持 Windows 8 及更早版本

### 1.0.2
- 修复了导致 Windows 11 上启动失败的问题

### 1.0.1
- 修复了保存网络列表时的超时问题
- 小界面调整
- 在固件安装和固件更新对话框中添加了数据验证（检查固件名称和版本是否为空）
- 添加了组电力消耗显示
- 更新了导出文件时的文件名生成。导入的文件名现在用作组名
- 在单个矿机的解锁对话框中实现了保存密码范围的功能
- 修复了固件更新期间忽略模型参数的问题
- 修复了矿池模式显示问题
- 未来版本将不再支持 Windows 7 和 Windows 8

### 1.0.0
- 应用程序的初始发布